Subject: Re: bug#71345: Feature: unleash font-lock's secret weapon; handle Qfontified = non-nil

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Jun 2024 14:29:42 +0300

> Cc: [email-masked]
> From: JD Smith <[email-masked]>
> Date: Tue, 4 Jun 2024 18:41:01 -0400
> 
>     (jit-lock-flush (min my-pd-old-beg (my-pd-new-beg-estimate))
>                     (max my-pd-old-end (my-pd-new-end-estimate))
>                     #'my-pd-backend)
> 
> I don't need to estimate, I have treesitter to tell me precisely!

Only if the parser successfully and correctly parses the buffer text.

>  Because a given buffer can have several (window-)points,
>  position-dependent highlighting will ideally want to be added via
>  (window-specific) overlays rather than text-properties.
> 
> In general, yes.  In my case having the scope be per-buffer not per window makes the most sense in terms of
> the functionality.

Given the feature of redisplay I just mentioned, you will actually get
a per-window functionality, at least as far as the position of point
is concerned.